Bug 191025 - kernel oops when doing "service iptables restart" with large nat tables and high traffic
kernel oops when doing "service iptables restart" with large nat tables and h...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-08 04:32 EDT by Dumitru Ciobarcianu
Modified: 2008-01-19 23:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:41:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
image showing the oops (141.42 KB, image/jpeg)
2006-05-08 04:32 EDT, Dumitru Ciobarcianu
no flags Details
/etc/sysconfig/iptables file (102.39 KB, application/octet-stream)
2006-05-08 04:33 EDT, Dumitru Ciobarcianu
no flags Details

  None (edit)
Description Dumitru Ciobarcianu 2006-05-08 04:32:15 EDT
Description of problem:

Sometimes, when running "service iptables restart" I get the oops I'va captured,
sorry for the image quality, it's taken with an phone camera.

/etc/sysconfig/iptables is rather largish (also attached).

Version-Release number of selected component (if applicable):
2.6.16-1.2096_FC5


How reproducible:
sometimes


Steps to Reproduce:
1. use the attached /etc/sysconfig/iptables
2. high traffic (150mbps)
3. service iptables restart
4. Sometimes oops.

Other info:
options ip_conntrack hashsize=16384 in /etc/modprobe.conf

[root@core ~]# lsmod
Module                  Size  Used by
ipt_DSCP                2497  1041
ip_conntrack_ftp        7601  0
ip_conntrack_irc        6833  0
iptable_mangle          2881  1
iptable_nat             8133  1
ip_nat                 16621  1 iptable_nat
xt_state                2241  7
ip_conntrack           49261  5
ip_conntrack_ftp,ip_conntrack_irc,iptable_nat,ip_nat,xt_state
nfnetlink               6489  2 ip_nat,ip_conntrack
iptable_filter          3137  1
ip_tables              11657  3 iptable_mangle,iptable_nat,iptable_filter
loop                   15561  0
ipv6                  225569  14
8021q                  18633  0
ipt_REJECT              5441  1
xt_mac                  2241  307
xt_tcpudp               3265  23
x_tables               12613  7
ipt_DSCP,iptable_nat,xt_state,ip_tables,ipt_REJECT,xt_mac,xt_tcpudp
dm_mirror              19985  0
dm_mod                 50649  1 dm_mirror
video                  14917  0
button                  6609  0
battery                 9285  0
ac                      4933  0
lp                     12297  0
parport_pc             25445  1
parport                34313  2 lp,parport_pc
floppy                 57733  0
nvram                   8393  0
ohci1394               31749  0
sg                     32349  0
8139too                25409  0
ehci_hcd               29005  0
ieee1394              288665  1 ohci1394
uhci_hcd               28881  0
e1000                  98733  0
8139cp                 21185  0
snd_intel8x0           30301  0
mii                     5312  2 8139too,8139cp
snd_ac97_codec         83937  1 snd_intel8x0
snd_ac97_bus            2497  1 snd_ac97_codec
snd_seq_dummy           3781  0
snd_seq_oss            28993  0
snd_seq_midi_event      7105  1 snd_seq_oss
snd_seq                47153  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
i2c_i801                8397  0
i2c_core               20673  1 i2c_i801
snd_seq_device          8909  3 snd_seq_dummy,snd_seq_oss,snd_seq
snd_pcm_oss            45009  0
snd_mixer_oss          16449  1 snd_pcm_oss
snd_pcm                76869  3 snd_intel8x0,snd_ac97_codec,snd_pcm_oss
snd_timer              22597  2 snd_seq,snd_pcm
snd                    50501  9
snd_intel8x0,snd_ac97_codec,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer
soundcore               9377  1 snd
snd_page_alloc         10441  2 snd_intel8x0,snd_pcm
raid1                  20417  1
ext3                  116809  1
jbd                    53077  1 ext3
ata_piix               10181  4
libata                 54225  1 ata_piix
sd_mod                 16577  6
scsi_mod              125288  3 sg,libata,sd_mod

[root@core ~]# lspci
00:00.0 Host bridge: Intel Corporation 915G/P/GV/GL/PL/910GL Processor to I/O
Controller (rev 04)
00:02.0 VGA compatible controller: Intel Corporation 82915G/GV/910GL Express
Chipset Family Graphics Controller (rev 04)
00:1d.0 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #3 (rev 03)
00:1d.3 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #4 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB2 EHCI Controller (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev d3)
00:1e.2 Multimedia audio controller: Intel Corporation 82801FB/FBM/FR/FW/FRW
(ICH6 Family) AC'97 Audio Controller (rev 03)
00:1f.0 ISA bridge: Intel Corporation 82801FB/FR (ICH6/ICH6R) LPC Interface
Bridge (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) IDE
Controller (rev 03)
00:1f.2 IDE interface: Intel Corporation 82801FB/FW (ICH6/ICH6W) SATA Controller
(rev 03)
00:1f.3 SMBus: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) SMBus
Controller (rev 03)
01:00.0 FireWire (IEEE 1394): Agere Systems FW323 (rev 61)
01:01.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)
01:03.0 Ethernet controller: Intel Corporation 82541PI Gigabit Ethernet
Controller (rev 05)
01:04.0 Ethernet controller: Intel Corporation 82541PI Gigabit Ethernet
Controller (rev 05)
Comment 1 Dumitru Ciobarcianu 2006-05-08 04:32:15 EDT
Created attachment 128733 [details]
image showing the oops
Comment 2 Dumitru Ciobarcianu 2006-05-08 04:33:29 EDT
Created attachment 128734 [details]
/etc/sysconfig/iptables file
Comment 3 Dumitru Ciobarcianu 2006-05-08 05:08:31 EDT
oh, I forgot to add ifconfig output:

[root@core ~]# ifconfig
eth0      Link encap:Ethernet  HWaddr 00:0E:0C:B0:C8:E3
          inet addr:89.35.240.254  Bcast:89.35.240.255  Mask:255.255.255.252
          inet6 addr: fe80::20e:cff:feb0:c8e3/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:1830263718 errors:2 dropped:16 overruns:0 frame:1
          TX packets:1948073095 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:2107089068 (1.9 GiB)  TX bytes:3342013150 (3.1 GiB)
          Base address:0xee00 Memory:fdec0000-fdee0000

eth0:0    Link encap:Ethernet  HWaddr 00:0E:0C:B0:C8:E3
          inet addr:192.168.0.1  Bcast:192.168.0.255  Mask:255.255.255.0
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          Base address:0xee00 Memory:fdec0000-fdee0000

eth1      Link encap:Ethernet  HWaddr 00:0E:0C:B0:C9:E4
          inet6 addr: fe80::20e:cff:feb0:c9e4/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:2042155439 errors:0 dropped:0 overruns:0 frame:0
          TX packets:1885498333 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:4054567193 (3.7 GiB)  TX bytes:678632389 (647.1 MiB)
          Base address:0xed00 Memory:fde80000-fdea0000

eth1.10   Link encap:Ethernet  HWaddr 00:0E:0C:B0:C9:E4
          inet addr:89.35.240.1  Bcast:89.35.240.127  Mask:255.255.255.128
          inet6 addr: fe80::20e:cff:feb0:c9e4/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:51503 errors:0 dropped:0 overruns:0 frame:0
          TX packets:91352 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:4896023 (4.6 MiB)  TX bytes:38669543 (36.8 MiB)

eth1.21   Link encap:Ethernet  HWaddr 00:0E:0C:B0:C9:E4
          inet addr:89.35.242.1  Bcast:89.35.243.255  Mask:255.255.254.0
          inet6 addr: fe80::20e:cff:feb0:c9e4/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:1152041119 errors:0 dropped:0 overruns:0 frame:0
          TX packets:1023560343 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:3700238815 (3.4 GiB)  TX bytes:4031773906 (3.7 GiB)

eth1.21:1 Link encap:Ethernet  HWaddr 00:0E:0C:B0:C9:E4
          inet addr:10.14.10.1  Bcast:10.14.255.255  Mask:255.255.0.0
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1

eth1.22   Link encap:Ethernet  HWaddr 00:0E:0C:B0:C9:E4
          inet addr:89.35.241.1  Bcast:89.35.241.255  Mask:255.255.255.0
          inet6 addr: fe80::20e:cff:feb0:c9e4/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:369514554 errors:0 dropped:0 overruns:0 frame:0
          TX packets:335292036 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:1194109337 (1.1 GiB)  TX bytes:2677184153 (2.4 GiB)

eth1.22:1 Link encap:Ethernet  HWaddr 00:0E:0C:B0:C9:E4
          inet addr:192.168.4.1  Bcast:192.168.4.255  Mask:255.255.255.0
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1

eth1.23   Link encap:Ethernet  HWaddr 00:0E:0C:B0:C9:E4
          inet addr:89.35.244.1  Bcast:89.35.245.255  Mask:255.255.254.0
          inet6 addr: fe80::20e:cff:feb0:c9e4/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:519597274 errors:0 dropped:0 overruns:0 frame:0
          TX packets:524691731 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:1396595762 (1.3 GiB)  TX bytes:678961389 (647.5 MiB)

eth1.23:1 Link encap:Ethernet  HWaddr 00:0E:0C:B0:C9:E4
          inet addr:172.16.10.1  Bcast:172.16.10.255  Mask:255.255.255.0
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1

eth1.24   Link encap:Ethernet  HWaddr 00:0E:0C:B0:C9:E4
          inet addr:83.166.200.65  Bcast:83.166.200.71  Mask:255.255.255.248
          inet6 addr: fe80::20e:cff:feb0:c9e4/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:956029 errors:0 dropped:0 overruns:0 frame:0
          TX packets:1866470 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:81310262 (77.5 MiB)  TX bytes:2637694561 (2.4 GiB)

eth1.666  Link encap:Ethernet  HWaddr 00:0E:0C:B0:C9:E4
          inet addr:10.66.6.1  Bcast:10.66.6.255  Mask:255.255.255.0
          inet6 addr: fe80::20e:cff:feb0:c9e4/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:1362 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:0 (0.0 b)  TX bytes:57420 (56.0 KiB)

lo        Link encap:Local Loopback
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:241 errors:0 dropped:0 overruns:0 frame:0
          TX packets:241 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:1084258 (1.0 MiB)  TX bytes:1084258 (1.0 MiB)

Comment 4 Dave Jones 2006-10-16 15:26:35 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 5 Jon Stanley 2008-01-19 23:41:19 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.